%define name	python-cheetah
%define version	0.9.15
%define release 2mdk

Name: 	 	%{name}
Summary: 	Template engine and code generator
Version: 	%{version}
Release: 	%{release}

Source:		Cheetah-%{version}.tar.bz2
URL:		http://cheetahtemplate.org/
License:	BSD
Group:		Text tools
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel

%description
Cheetah:
* generates HTML, SGML, XML, SQL, Postscript, form email, LaTeX, or any other
  text-based format.
* cleanly separates content, graphic design, and program code. This leads to
  highly modular, flexible, and reusable site architectures; faster
  development time; and HTML and program code that is easier to understand and
  maintain. It is particularly well suited for team efforts.
* blends the power and flexibility of Python with a simple template language
  that non-programmers can understand.
* gives template writers full access to any Python data structure, module,
  function, object, or method in their templates.
* makes code reuse easy by providing an object-orientated interface to
  templates that is accessible from Python code or other Cheetah templates.
  One template can subclass another and selectively reimplement sections of it.
* provides a simple, yet powerful, caching mechanism that can dramatically
  improve the performance of a dynamic website.
* compiles templates into optimized, yet readable, Python code.

%prep
%setup -q -n Cheetah-%version

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE examples
%_bindir/cheetah
%_bindir/cheetah-compile
%_libdir/python2*/site-packages/Cheetah

%changelog
* Sun Aug 9 2003 Austin Acton <aacton@yorku.ca> 0.9.15-2mdk
- python 2.3

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.9.15-1mdk
- initial package
